unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls;

type

  { TForm1 }

  TForm1 = class(TForm)
    BtnEsegui: TButton;
    BtnCancella: TButton;
    EdtA: TEdit;
    EdtB: TEdit;
    EdtX1: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Label4: TLabel;
    procedure BtnEseguiClick(Sender: TObject);
    procedure BtnCancellaClick(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

Var A_, B_, X_ : Real ; N_Sol : integer;


Procedure Equazione1Grado(Const A, B: Real; Var NSol :Integer ; Var X : Real);
begin
  if a <> 0 then
    begin
      NSol := 1 ;
      if b <> 0 then X := - B / A
      else X := 0 ;
    end
  else
    if b <> 0 then NSol := 0
    else NSol := -1 ;
end;

Procedure LeggiValori (Var V1, V2 : Real) ;
begin
  V1 := StrToFloat(Form1.EdtA.text) ;
  V2 := StrToFloat(Form1.EdtB.text) ;
end;

procedure TForm1.BtnEseguiClick(Sender: TObject);
begin
  LeggiValori(A_, B_) ;
  Equazione1Grado(A_, B_, N_Sol, X_);
  case N_Sol of
    1  :  EdtX1.Text := FloatToStr(X_) ;
    0  :  EdtX1.Text := 'non esistono soluzioni' ;
    -1 :  EdtX1.Text := 'infinite soluzioni' ;
  end;
end;

procedure TForm1.BtnCancellaClick(Sender: TObject);
begin
  EdtA.Clear ;   EdtB.Clear ;   EdtX1.Clear ;
end;

end.

